Package org.wildfly.plugin.tools.server

## Class StandaloneConfiguration

- java.lang.Object
- - org.wildfly.plugin.tools.server.Configuration<StandaloneConfiguration>
  - - org.wildfly.plugin.tools.server.StandaloneConfiguration

-     public class StandaloneConfiguration
      extends Configuration<StandaloneConfiguration>

  Represents the configuration used to boot a standalone server.
  Since:
    1.2
  Author:
    James R. Perkins

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.wildfly.plugin.tools.server.Configuration

      `Configuration.LaunchType`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `StandaloneConfiguration​(org.wildfly.core.launcher.CommandBuilder commandBuilder)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected Configuration.LaunchType` | `launchType()` | The type of the server to launch.
    `protected StandaloneConfiguration` | `self()` | This instance.

    - ### Methods inherited from class org.wildfly.plugin.tools.server.Configuration

      `addEnvironmentVariable, addEnvironmentVariables, client, client, commandBuilder, consumeStderr, consumeStdout, create, create, create, directory, directory, directory, launcher, managementAddress, managementAddress, managementPort, managementPort, redirectError, redirectError, redirectErrorStream, redirectOutput, redirectOutput, redirectOutput, shutdownOnClose, shutdownOnClose`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StandaloneConfiguration

          protected StandaloneConfiguration​(org.wildfly.core.launcher.CommandBuilder commandBuilder)

  - ### Method Detail

    - #### launchType

          protected Configuration.LaunchType launchType()

      Description copied from class: `Configuration`
      The type of the server to launch.
      Specified by:
        `launchType` in class `Configuration<StandaloneConfiguration>`
      Returns:
        the type of the server

    - #### self

          protected StandaloneConfiguration self()

      Description copied from class: `Configuration`
      This instance.
      Specified by:
        `self` in class `Configuration<StandaloneConfiguration>`
      Returns:
        this instance